// Arduino Digit Shield

// připojení potřebné knihovny
#include <DigitShield.h>    // https://navody.dratek.cz/docs/texty/0/281/digit_shield.zip
// vytvoření proměnných
int prodleva = 500;

void setup() {
  // zahájení komunikace s Digit Shieldem
  DigitShield.begin();
  // zapnutí funkce doplnění nul při tisku
  DigitShield.setLeadingZeros(true);
}

void loop() {
  // smyčka pro výpis všech čísel s přírůstkem 1111
  // a nastavenou pauzou mezi výpisy
  for (int i = 0; i <= 9999; i += 1111) {
    DigitShield.setValue(i);
    delay(prodleva);
  }
  // nastavení hodnoty 2-5 postupně na všechny znaky
  // s pauzou mezi výpisy
  for (int i = 1; i <= 4; i++) {
    DigitShield.setDigit(i, i+1);
    delay(prodleva);
  }
  // nastavení desetinné tečky postupně pro všechny znaky
  // s pauzou mezi výpisy
  for (int i = 1; i <= 4; i++) {
    DigitShield.setDecimalPoint(i, true);
    delay(prodleva);
  }
  // vypnutí desetinné tečky postupně pro všechny znaky
  // s pauzou mezi výpisy
  for (int i = 1; i <= 4; i++) {
    DigitShield.setDecimalPoint(i, false);
    delay(prodleva);
  }
  // nastavení hodnoty F (prázdný znak) postupně na všechny znaky
  // s pauzou mezi výpisy
  for (int i = 1; i <= 4; i++) {
    DigitShield.setDigit(i, 0xF);
    delay(prodleva);
  }
}